SLNAttribs.h File Reference
`#include <string>`
`#include <vector>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDKit::SLNParse::AttribType

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::SLNParse

## Typedefs

typedef std::vector< std::pair< AttribCombineOp, boost::shared_ptr< AttribType > > > | RDKit::SLNParse::AttribListType

## Enumerations

enum | RDKit::SLNParse::AttribCombineOp { RDKit::SLNParse::AttribLowPriAnd =0, RDKit::SLNParse::AttribOr, RDKit::SLNParse::AttribAnd, RDKit::SLNParse::AttribNot }

## Functions

void | RDKit::SLNParse::parseAtomAttribs (Atom *atom, AttribListType attribs, bool doingQuery)
| parses the attributes provided for an atom and sets More...
void | RDKit::SLNParse::parseFinalAtomAttribs (Atom *atom, bool doingQuery)
void | RDKit::SLNParse::parseBondAttribs (Bond *bond, AttribListType attribs, bool doingQuery)
| parses the attributes provided for a bond and sets More...
void | RDKit::SLNParse::parseFinalBondAttribs (Bond *bond, bool doingQuery)
void | RDKit::SLNParse::parseMolAttribs (ROMol *mol, AttribListType attribs)
| parses the attributes provided for a ctab and sets More...
void | RDKit::SLNParse::adjustAtomChiralities (RWMol *mol)